This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1257677 - [GSS] (6.4.z) PicketLink's SPFilter does not invoke a security-domain
[GSS] (6.4.z) PicketLink's SPFilter does not invoke a security-domain
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink (Show other bugs)
6.4.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Skopek
Josef Cacek
:
Depends On: 1257676
Blocks: 1166881
  Show dependency treegraph
 
Reported: 2015-08-27 12:05 EDT by Derek Horton
Modified: 2016-09-05 08:49 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1257676
Environment:
Last Closed: 2016-09-05 08:49:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Horton 2015-08-27 12:05:19 EDT
Description of problem:

PicketLink's SPFilter does not invoke a security-domain.  This means the security-context is not setup properly.  This will cause failures when invoking calls like request.getUserPrincipal() or when the web application invokes a secured ejb.
Comment 5 Petr Penicka 2016-09-05 08:49:48 EDT
All the SPFilter issues have been rejected, see bz1257676 and bz1166881.

Note You need to log in before you can comment on or make changes to this bug.